<?php

namespace Drupal\emoji_picker\Hook;

use Drupal\Core\Hook\Attribute\Hook;

/**
 * Definitions for the module templates.
 */
#[Hook('theme')]
class Theme {

  /**
   * Implements hook_theme().
   *
   * @param array $existing
   *   An array of existing implementations that may be used for override.
   * @param string $type
   *   Whether a theme, module, etc. is being processed.
   * @param string $theme
   *   The actual name of theme, module, etc. that is being processed.
   * @param string $path
   *   The directory path of the theme or module.
   *
   * @return array
   *   An associative array of information about theme implementations
   */
  public function __invoke(array $existing, $type, $theme, $path): array {
    return [
      'emoji_picker' => [
        'variables' => [
          'display_picker' => FALSE,
          'attributes' => '',
        ],
      ],
    ];
  }

}
